## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaBlock Template Class Reference

`#include <ReusableArenaBlock.hpp>`

Inheritance diagram for ReusableArenaBlock

Collaboration diagram for ReusableArenaBlock:

List of all members.

## Public Types

- typedef ArenaBlock<ObjectType> BaseClassType
- typedef BaseClassType::size_type size_type

## Public Methods

- ReusableArenaBlock (size_type theBlockSize)
- ~ReusableArenaBlock ()
- virtual ObjectType* allocateBlock ()
- virtual void commitAllocation (ObjectType* theBlock)
- virtual bool blockAvailable () const
- virtual size_type getCountAllocated () const
- virtual bool ownsObject (const ObjectType* theObject) const
- void destroyObject (ObjectType* theObject)

## Protected Methods

- virtual bool shouldDestroyBlock (const ObjectType* theObject) const

## Member Typedef Documentation

template<classObjectType>
typedef ArenaBlock<ObjectType> ReusableArenaBlock<ObjectType>::BaseClassType

template<classObjectType>
typedef BaseClassType::size_type ReusableArenaBlock<ObjectType>::size_type

Reimplemented from ArenaBlock.

## Constructor & Destructor Documentation

template<classObjectType>
ReusableArenaBlock<ObjectType>::ReusableArenaBlock<ObjectType> ( | size_type theBlockSize )

template<classObjectType>
ReusableArenaBlock<ObjectType>::~ReusableArenaBlock<ObjectType> ( | )`[]`

## Member Function Documentation

template<classObjectType>
ObjectType * ReusableArenaBlock<ObjectType>::allocateBlock ( | )`[virtual]`

Reimplemented from ArenaBlock.

template<classObjectType>
bool ReusableArenaBlock<ObjectType>::blockAvailable ( | ) const`[virtual]`

Reimplemented from ArenaBlock.

template<classObjectType>
void ReusableArenaBlock<ObjectType>::commitAllocation ( | ObjectType * theBlock )`[virtual]`

Reimplemented from ArenaBlock.

template<classObjectType>
void ReusableArenaBlock<ObjectType>::destroyObject ( | ObjectType * theObject )`[]`

template<classObjectType>
size_type ReusableArenaBlock<ObjectType>::getCountAllocated ( | ) const`[virtual]`

Reimplemented from ArenaBlock.

template<classObjectType>
bool ReusableArenaBlock<ObjectType>::ownsObject ( | const ObjectType * theObject ) const`[virtual]`

Reimplemented from ArenaBlock.

template<classObjectType>
bool ReusableArenaBlock<ObjectType>::shouldDestroyBlock ( | const ObjectType * theObject ) const`[protected, virtual]`

Reimplemented from ArenaBlock.

The documentation for this class was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.